string_in_file() {
  string="$1"
  file="$2"

  if grep -q "$string" "$file"; then
    return 0 # String is present in the file
  else
    echo Test error. File: $file. Expected the \"$string\" string, but not found.
    return 1 # String is not present in the file
  fi
}

string_in_file "HTTP/1.1 301" output_apple.com.bin
string_in_file "</html>" output_badssl.com_TLS_RSA_WITH_AES_128_CBC_SHA.bin
string_in_file "</html>" output_badssl.com_TLS_RSA_WITH_AES_128_CBC_SHA_NO_ETM.bin
string_in_file "</html>" output_badssl.com_TLS_RSA_WITH_AES_256_CBC_SHA256.bin
string_in_file "</html>" output_badssl.com_TLS_RSA_WITH_AES_256_CBC_SHA256_NO_ETM.bin
string_in_file "</html>" output_badssl.com_TLS_DHE_RSA_WITH_AES_128_CBC_SHA.bin
string_in_file "</html>" output_badssl.com_TLS_DHE_RSA_WITH_AES_128_CBC_SHA_NO_ETM.bin
string_in_file "</html>" output_cryptography.re_TLS_RSA_WITH_AES_128_CBC_SHA.bin
string_in_file "</html>" output_cryptography.re_TLS_RSA_WITH_AES_128_CBC_SHA_NO_ETM.bin
string_in_file "</html>" output_cryptography.re_TLS_RSA_WITH_AES_256_CBC_SHA256.bin
string_in_file "</html>" output_cryptography.re_TLS_RSA_WITH_AES_256_CBC_SHA256_NO_ETM.bin
string_in_file "</html>" output_cryptography.re_TLS_DHE_RSA_WITH_AES_128_CBC_SHA.bin
string_in_file "</html>" output_cryptography.re_TLS_DHE_RSA_WITH_AES_128_CBC_SHA_NO_ETM.bin
#string_in_file "</html>" output_facebook.com.bin
string_in_file "</HTML>" output_google.com.bin
string_in_file "HTTP/1.1 301" output_ibm.com.bin
string_in_file "HTTP/1.1 301" output_instagram.com.bin
string_in_file "</html>" output_null.badssl.com_TLS_RSA_WITH_NULL_SHA.bin
string_in_file "HTTP/1.1 301" output_reddit.com.bin
string_in_file "</html>" output_www.apple.com.bin
string_in_file "</html>" output_www.facebook.com.bin
string_in_file "</html>" output_www.google.com.bin
string_in_file "HTTP/1.1 303" output_www.ibm.com.bin
string_in_file "</html>" output_www.reddit.com.bin
#string_in_file "</html>" output_x.com.bin

#stdout_apple.com.log
#stdout_badssl.com_TLS_RSA_WITH_AES_128_CBC_SHA.log
#stdout_badssl.com_TLS_RSA_WITH_AES_128_CBC_SHA_NO_ETM.log
#stdout_badssl.com_TLS_RSA_WITH_AES_256_CBC_SHA256.log
#stdout_badssl.com_TLS_RSA_WITH_AES_256_CBC_SHA256_NO_ETM.log
string_in_file "SSL3_AD_HANDSHAKE_FAILURE" stdout_badssl.com_TLS_RSA_WITH_NULL_SHA.log
string_in_file "SSL3_AD_HANDSHAKE_FAILURE" stdout_badssl.com_TLS_RSA_WITH_NULL_SHA_NO_ETM.log
#stdout_cryptography.re_TLS_RSA_WITH_AES_128_CBC_SHA.log
#stdout_cryptography.re_TLS_RSA_WITH_AES_128_CBC_SHA_NO_ETM.log
#stdout_cryptography.re_TLS_RSA_WITH_AES_256_CBC_SHA256.log
#stdout_cryptography.re_TLS_RSA_WITH_AES_256_CBC_SHA256_NO_ETM.log
string_in_file "SSL3_AD_HANDSHAKE_FAILURE" stdout_cryptography.re_TLS_RSA_WITH_NULL_SHA.log
string_in_file "SSL3_AD_HANDSHAKE_FAILURE" stdout_cryptography.re_TLS_RSA_WITH_NULL_SHA_NO_ETM.log
string_in_file "is expired" stdout_expired.log
#stdout_facebook.com.log
#stdout_google.com.log
#stdout_ibm.com.log
#stdout_instagram.com.log
#stdout_null.badssl.com_TLS_RSA_WITH_NULL_SHA.log
#stdout_null.badssl.com_TLS_RSA_WITH_NULL_SHA_NO_ETM.log
#stdout_reddit.com.log
string_in_file "is expired" stdout_revoked.log
string_in_file "find an issuer in" stdout_self-signed.log
string_in_file "self-signed" stdout_self-signed.log
string_in_file "only TLS 1.2" stdout_tls_1_0.log
string_in_file "only TLS 1.2" stdout_tls_1_1.log
string_in_file "find an issuer in" stdout_untrusted-root.log
string_in_file "wildcard certs is not handled yet" stdout_wrong_host.log
#stdout_www.apple.com.log
#stdout_www.facebook.com.log
#stdout_www.google.com.log
#stdout_www.ibm.com.log
#stdout_www.reddit.com.log
#stdout_x.com.log

